Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class WorkingDayExclusion

    java.lang.Object
      com.tibco.bpm.web.client.model.types.WorkingDayExclusion

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class WorkingDayExclusion

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

Nested Class Summary
`static class` | `WorkingDayExclusion.FreeBusy`

Constructor Summary
`WorkingDayExclusion()`

Method Summary
`java.lang.String` | `getDescription()`
`java.util.Date` | `getEnd()`
`WorkingDayExclusion.FreeBusy` | `getFreeBusy()`
`java.lang.String` | `getGuid()`
`java.util.Date` | `getStart()`
`boolean` | `isAllDay()`
`void` | `setAllDay(boolean allDay)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEnd(java.util.Date end)`
`void` | `setFreeBusy(WorkingDayExclusion.FreeBusy freeBusy)`
`void` | `setGuid(java.lang.String guid)`
`void` | `setStart(java.util.Date start)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkingDayExclusion

    public WorkingDayExclusion()

Method Detail

### isAllDay

    public boolean isAllDay()

### setAllDay

    public void setAllDay(boolean allDay)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getEnd

    public java.util.Date getEnd()

### setEnd

    public void setEnd(java.util.Date end)

### getStart

    public java.util.Date getStart()

### setStart

    public void setStart(java.util.Date start)

### getFreeBusy

    public WorkingDayExclusion.FreeBusy getFreeBusy()

### setFreeBusy

    public void setFreeBusy(WorkingDayExclusion.FreeBusy freeBusy)

### getGuid

    public java.lang.String getGuid()

### setGuid

    public void setGuid(java.lang.String guid)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.